import request from '@/utils/request'

// 查询cmc招聘申请列表
export function listRecruit(query) {
  return request({
    url: '/oa/recruit/list',
    method: 'get',
    params: query
  })
}

// 查询cmc招聘申请详细
export function getRecruit(recruitId) {
  return request({
    url: '/oa/recruit/' + recruitId,
    method: 'get'
  })
}

// 新增cmc招聘申请
export function addRecruit(data) {
  return request({
    url: '/oa/recruit',
    method: 'post',
    data: data
  })
}

// 修改cmc招聘申请
export function updateRecruit(data) {
  return request({
    url: '/oa/recruit',
    method: 'put',
    data: data
  })
}

// 删除cmc招聘申请
export function delRecruit(recruitId) {
  return request({
    url: '/oa/recruit/' + recruitId,
    method: 'delete'
  })
}
